com.smartxls

## Class ShapePos

- java.lang.Object
- - com.smartxls.ShapePos

-     public class ShapePos
      extends java.lang.Object

  the shape placement position

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getX1()` left position The whole part of the value is the column containing the left side, and the fractional part of the value is the position of the left side within that column.
    `double` | `getX2()` right position The whole part of the value is the column containing the right side, and the fractional part of the value is the position of the right side within that column.
    `double` | `getY1()` top position The whole part of the value is the row containing the top side, and the fractional part of the value is the position of the top side within that row.
    `double` | `getY2()` bottom position The whole part of the value is the row containing the bottom side, and the fractional part of the value is the position of the bottom side within that row.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getX1

          public final double getX1()

      left position The whole part of the value is the column containing the left side, and the fractional part of the value is the position of the left side within that column.
      Returns:
        left position

    - #### getX2

          public final double getX2()

      right position The whole part of the value is the column containing the right side, and the fractional part of the value is the position of the right side within that column.
      Returns:
        right position

    - #### getY1

          public final double getY1()

      top position The whole part of the value is the row containing the top side, and the fractional part of the value is the position of the top side within that row.
      Returns:
        top position

    - #### getY2

          public final double getY2()

      bottom position The whole part of the value is the row containing the bottom side, and the fractional part of the value is the position of the bottom side within that row.
      Returns:
        bottom position